List Notification Routes Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/notifications/routes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/notifications/routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/notifications/routes \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"organisation_id": "<string>",
"kind": "<string>",
"kinds": [
"<string>"
],
"kinds_negated": true,
"severity": "<string>",
"cluster_id": "<string>",
"source_id": "<string>",
"destination_id": "<string>",
"priority": 123,
"stop_on_match": true,
"mode": "<string>",
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Notifications
List Notification Routes Endpoint
GET
/
api
/
v1
/
org
/
notifications
/
routes
List Notification Routes Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/notifications/routes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/notifications/routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/notifications/routes \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"organisation_id": "<string>",
"kind": "<string>",
"kinds": [
"<string>"
],
"kinds_negated": true,
"severity": "<string>",
"cluster_id": "<string>",
"source_id": "<string>",
"destination_id": "<string>",
"priority": 123,
"stop_on_match": true,
"mode": "<string>",
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}